LOGIN_TTY(3)

NAME
login_tty - prepare a tty for a new login session

SYNOPSIS
#include <libutil.h>
int
login_tty(int fd);

Link with -lutil on the cc(1) command line.

DESCRIPTION
The function login_tty() prepares a terminal for a new login session. The file descriptor fd passed to login_tty() must be opened for reading and writing on a terminal device. It will be made the controlling terminal for the calling process, after allocating a new session with setsid(2). This terminal device will also be made the standard input, standard output, and standard error output of the calling process.

RETURN VALUES
Login_tty() returns -1 if it could not make the device referenced by fd the controlling terminal of the calling process, and 0 otherwise.

SEE ALSO
dup2(2), ioctl(2), setsid(2), tty(4)